Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.elang.xpath20.compiler
Class WrappedResolverException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.ode.bpel.elang.xpath20.compiler.WrappedResolverException

All Implemented Interfaces:
  java.io.Serializable

    public class WrappedResolverException

extends java.lang.RuntimeException

See Also:
  Serialized Form

Field Summary
`CompilationMessage` | `_compilationMsg`

Constructor Summary
`WrappedResolverException(CompilationMessage message)`
`WrappedResolverException(java.lang.String message)`
`WrappedResolverException(java.lang.String message, java.lang.Throwable cause)`
`WrappedResolverException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _compilationMsg

    public CompilationMessage _compilationMsg

Constructor Detail

### WrappedResolverException

    public WrappedResolverException(java.lang.String message)

### WrappedResolverException

    public WrappedResolverException(CompilationMessage message)

### WrappedResolverException

    public WrappedResolverException(java.lang.String message,
                                    java.lang.Throwable cause)

### WrappedResolverException

    public WrappedResolverException(java.lang.Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD